function debsquash {
    lmp="${1}"
    sfs="filesystem.squashfs"
    chk="(${data})${lmp}/${sfs}"
    #
    echo 'verify_detached'
    echo "${chk}"
    if verify_detached "${chk}" "${chk}.sig" ; then
        if [ -f "(${data})${lmp}/vmlinuz" ]; then
            linux_path="(${data})${lmp}/vmlinuz"
            initrd_path="(${data})${lmp}/initrd.img"
        else
            linux_path="(squash)/vmlinuz"
            initrd_path="(squash)/initrd.img"
            loopback "squash" "${lmp}/${sfs}"
        fi
        #
        echo
        echo 'linux'
        echo "${linux_path}"
        linux \
"${linux_path}" \
boot="live" \
elevator="deadline" \
ip="frommedia" \
live-media-path="${lmp}" \
live-media-uuid="${data_uuid}" \
toram="${sfs}"
        #
        echo
        echo 'initrd'
        echo "${initrd_path}"
        initrd "${initrd_path}"
    fi
}
